Subject: RE: WG LastCall:draft-ietf-pana-usage-scenarios-04.txt[Correction]

From: "Mohan Parthasarathy" <[email-masked]>
Date: Thu, 13 Mar 2003 13:53:52 -0800

> 
> >> If the EAP method carried over PANA generates some keying
> >> material, this
> >> material is used to define a "PANA SA". This is a simple SA
> >> that binds the
> >> device ID to some cryptographic key from PAA and PaC's perspective.
> >> This SA is created at the end of the successful PANA exchange.
> >> 
> > I am getting confused with the terminology here. At the end of PANA,
> > assume you are able to derive some key that is known only to PAA
> > and PaC (e.g. Master session key mentioned in EAP keying draft).
> 
> Yes. Here is how we defined PANA SA:
> 
> 
> PANA Security Association:
>     
>        The representation of the trust relation between the 
> PaC and the
>        PAA that is created at the end of the authentication phase
>        (PH2). This security association includes the device identifier
>        of the peer, and a shared key when available.
> 
> > Are you going to do something further with this key to 
> derive a PANA SA ?
> 
> No, that's  it. PANA SA can be established with that key.

It is implicit. There is no separate exchange to arrive up on this
SA. Assume you want to use the key to protect some future message,
what algorithm would you use ? Will this key be used for authentication ?
encryption ? both ?   

> 
> But if the network is going to use IPsec as the per-packet 
> protection after
> PANA authentication, it needs IPsec SA. Somehow one needs to 
> transform PANA
> SA to IPsec SA using IKE, etc. This transformation is not 
> done by the PANA
> protocol.
> 
Agreed. 

> 
> > For example, PPP uses ECP (rfc1968) to negotiate algorithms etc.
> 
> Depending on the network, some L2 cipher negotiation can take 
> place, and
> ciphering can be turned on. But these happen all after PANA 
> authentication
> is ended, and there is a PANA SA. [assuming we are talking 
> about enabling
> ciphering after PANA]
Correct.

> 
> PANA protocol helps these other mechanisms to bootstrap, but 
> its job is
> complete as soon as it produces the PANA SA.
> 
> makes sense?

At the end of PANA, PaC and PAA have got a key that is known only
to PaC and PAA. My point is it is not sufficient to just stop here
and say it is done for the reasons that i mentioned in my earlier
mail.

-mohan

> alper

---

From: Alper Yegin <[email-masked]>
Date: Thu, 13 Mar 2003 14:22:40 -0800

> and say it is done for the reasons that i mentioned in my earlier

I've been saying these in the context of "PANA protocol". I agree creating
the PANA SA is required but not sufficient to enable IPsec. This is why PANA
can be followed by IKE, and than IPsec. We noted this in the solution draft.

Let me understand: do you think PANA protocol should go beyond producing
PANA SA? Or, are you just saying that this WG should also define how PANA SA
can be turned into IPsec SA, not necessarily as part of the PANA protocol,
but as a complimentary mechanism?

alper